import { Sequence } from 'gensequence';
import { TrieNode } from './trie';
export declare function insert(text: string, node?: TrieNode): TrieNode;
/**
 * Sorts the nodes in a trie in place.
 */
export declare function orderTrie(node: TrieNode): void;
export interface YieldResult {
    text: string;
    node: TrieNode;
    depth: number;
}
/**
 * Generator an iterator that will walk the Trie parent then children in a depth first fashion that preserves sorted order.
 */
export declare function iterateTrie(node: TrieNode): Sequence<YieldResult>;
/**
 * Generate a Iterator that can walk a Trie and yield the words.
 */
export declare function iteratorTrieWords(node: TrieNode): Sequence<string>;
